forward_static_call_array
func_get_arg
Function handling Funktionen
PHP Manual

# forward_static_call

(PHP 5 >= 5.3.0)

forward_static_call — Call a static method

### Beschreibung

mixed forward_static_call ( callable `$function` [, mixed `$parameter` [, mixed `$...` ]] )

Calls a user defined function or method given by the `function` parameter, with the following arguments. This function must be called within a method context, it can't be used outside a class. It uses the late static binding.

### Parameter-Liste

`function`

  The function or method to be called. This parameter may be an array, with the name of the class, and the method, or a string, with a function name.

`parameter`

  Zero or more parameters to be passed to the function.

### Rückgabewerte

Returns the function result, or `FALSE` on error.

### Beispiele

Beispiel #1 forward_static_call() example

`<?php
class A
{
const NAME = 'A';
public static function test() {
$args = func_get_args();
echo static::NAME, " ".join(',', $args)." \n";
}
}
class B extends A
{
const NAME = 'B';
public static function test() {
echo self::NAME, "\n";
forward_static_call(array('A', 'test'), 'more', 'args');
forward_static_call( 'test', 'other', 'args');
}
}
B::test('foo');
function test() {
$args = func_get_args();
echo "C ".join(',', $args)." \n";
}
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    B
    B more,args
    C other,args

### Siehe auch

- forward_static_call_array() - Call a static method and pass the arguments as array
- call_user_func_array() - Call a callback with an array of parameters
- call_user_func() - Aufruf einer benutzerdefinierten Funktion
- is_callable() - Prüft ob der Inhalt einer Variable als Funktion aufgerufen werden kann
- Informationen über den Callback-Typ

forward_static_call_array
func_get_arg
Function handling Funktionen
PHP Manual